<?php

// debug.tpl
// -----------------------------------------------------------------------------
// Debug template
//
// Revision   > $Rev: 77 $
// Date		  > $Date: 2009-06-17 16:45:34 +0100 (Wed, 17 Jun 2009) $
// Author     > RAK for DML
// Copyright  > (C) Digital Mail Limited (2005-2009)
// -----------------------------------------------------------------------------

if (!$GLOBALS['dmx_options']['debug_level']) return;

?>

<div class="dmb0" style="margin: 0px 20px;">
<div class="dmx">
<div class="debug">
<div class="<?=$comp_name;?>">


<table cellpadding="5" cellspacing = "0" width="99%" border="1">
<tr>
	<td colspan="2"><b>GET VARIABLES RECEIVED</b></td>
</tr>

<?php

reset($_GET);
while(list($key, $value) = each($_GET)) {
	if ($key == 'dmb1_go') {
		$dmb1_go = $value;
		continue;
	}
	echo "\t<tr>\n";
	echo "\t\t<td>$key</td>\n";
	echo "\t\t<td>" . htmlentities($value) . "</td>\n";
	echo "\t</tr>\n";	
}

?>

<tr>
	<td colspan="2"><b>POST VARIABLES RECEIVED</b></td>
</tr>

<?php

reset($_POST);
while(list($key, $value) = each($_POST)) {
	if ($key == 'dmb1_go') {
		$dmb1_go = $value;
		continue;
	}
	echo "\t<tr>\n";
	echo "\t\t<td>$key</td>\n";
	echo "\t\t<td>$value</td>\n";
	echo "\t</tr>\n";	
}

?>

<tr>
	<td colspan="2"><b>COOKIE VARIABLES RECEIVED</b></td>
</tr>

<?php

reset($_COOKIE);
while(list($key, $value) = each($_COOKIE)) {
	if ($key == 'dmb1_go') {
		$dmb1_go = $value;
		continue;
	}
	echo "\t<tr>\n";
	echo "\t\t<td>$key</td>\n";
	echo "\t\t<td>$value</td>\n";
	echo "\t</tr>\n";	
}

?>

</table>

<br>

<?php if (isset($GLOBALS['dmx_options']['rc'])) : ?>
<table cellpadding="5" cellspacing = "0" width="99%" border="1">
<tr>
	<td><b>RESULT CONDITIONS ARRAY</b></td>
</tr>
<tr>
	<td><pre><? print_r($GLOBALS['dmx_options']['rc']); ?></pre></td>
</tr>
</table>
<?php endif; ?>

<br>

<table cellpadding="5" cellspacing = "0" width="100%" border="1">
<tr>
	<td colspan="2"><b>DEBUGGING MESSAGES</b></td>
</tr>
<tr>
	<td colspan="2"><?=$dmx_debug_msg;?></td>
</tr>
</table>

</div>
</div>
</div>
</div>

<br>


